version: "2.2"
services:
  ml-service:
    container_name: "ml-service"
    build: services/.
    depends_on:
      - vdc-backend
    environment:
      DB_URL: postgresql://planv:planv@db:5432/planv_dev
    volumes:
      - ./services/:/vdc
    restart: on-failure
  vdc-backend:
    build: vdc-app/backend/.
    container_name: "vdc-backend"
    ports:
      - "5000:5000"
    restart: on-failure
    depends_on:
       rabbitmq:
        condition: service_healthy
    volumes:
      - ./vdc-app/backend/:/vdc
    env_file:
      - ./.env

  rabbitmq:
    container_name: "rabbitmq"
    build: rabbitmq/.
    environment:
      - RABBITMQ_DEFAULT_USER=vdc
      - RABBITMQ_DEFAULT_PASS=vdc
    ports:
      # AMQP protocol port
      - '5676:5672'
      # HTTP management UI
      - '15676:15672'
    volumes:
      - ./rabbitmq/rabbitmq.conf:/etc/rabbitmq/conf.d/10-defaults.conf

    healthcheck:
        test: ["CMD", "curl", "-f", "http://localhost:15672"]
        interval: 30s
        timeout: 10s
        retries: 5
  db:
    container_name: "db"
    image: postgres:13-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      - POSTGRES_USER=planv
      - POSTGRES_PASSWORD=planv
      - POSTGRES_DB=planv_dev

volumes:
  postgres_data:
